package com.qmth.paper.library.business.service;

import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.ExamCourse;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.common.entity.ExamStudent;

import java.util.List;

/**
 * <p>
 * 考生课程表 服务类
 * </p>
 *
 * @author xf
 * @since 2024-03-11
 */
public interface ExamCourseService extends IService<ExamCourse> {

    void saveStudentCourse(Long examId, List<ExamStudent> basicStudentList);

    void removeByExamId(Long examId);

    List<SelectResult> listConditionByExamId(Long examId);

    List<ExamCourse> listByExamId(Long examId);
}
